%global srcname distlib
%global with_python3 1

Name:       python-distlib
Version:    0.1.9
Release:    1%{?dist}
Summary:    Low-level components of distutils2/packaging, augmented with higher-level APIs

License:    BSD
URL:        https://readthedocs.org/projects/distlib/
Source0:    https://pypi.python.org/packages/source/d/%{srcname}/%{srcname}-%{version}.zip

Patch0: distlib_unbundle.patch

BuildArch:  noarch

BuildRequires:  python2-devel

%if %{?with_python3}
BuildRequires:  python3-devel
%endif # with_python3

%description
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary: Low-level components of distutils2/packaging, augmented with higher-level APIs

%description -n python3-%{srcname}
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.
%endif # with_python3

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

rm distlib/*.exe
rm -rf distlib/_backport
rm tests/test_shutil.py*
rm tests/test_sysconfig.py*

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%check
# Tests fail due to them requiring networking
%{__python2} setup.py test 2>&1 | grep "failures=7, errors=1"

%if 0%{?with_python3}
pushd %{py3dir}
# 8 tests fail due to them requiring networking,
# 1 fails due to it being sensitive to dictionary ordering
%{__python3} setup.py test 2>&1 | grep "failures=8, errors=1"
popd
%endif # with_python3

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%files
%doc LICENSE.txt README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Jun 05 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.1.9-1
- Initial spec
